$(function(){

	wrongTopicInit();
	function wrongTopicInit(){
		$('#examStatus').css('height', $(window).height());

		//看看进度页面图标点击跳转到对应习题
		$('.list-row').find('div').on('click', gotoMappingKt);
	}



});

//看看进度页面图标点击跳转到对应习题
function gotoMappingKt(){
	//更新并保存currKtIndex
	var id = $(this).find('span').attr('id');
	if(id){
		currKtIndex = parseInt(id.substring(6,id.length));
		$('#currentKt').html(currKtIndex+1);
		if(maxKtIndex < 4){
			mySwiper.slideTo(currKtIndex, 0, false);
		} 
		else {
			//请求数据并更新页面
			var ktID = ktList[currKtIndex];
			if(currKtIndex > 0 && currKtIndex < maxKtIndex) {
				mySwiper.slideTo(1, 0, false);
				//替换前一张swiper
				var ktID = ktList[currKtIndex-1], data = ktData[ktID];
				replaceSwiperSlide(data,ktID,0);
				//替换中间一张swiper
				var ktID = ktList[currKtIndex], data = ktData[ktID];
				replaceSwiperSlide(data,ktID,1);
				//替换后一张swiper
				var ktID = ktList[currKtIndex+1], data = ktData[ktID];
				replaceSwiperSlide(data,ktID,2);
			}
			else if(currKtIndex == 0){
				mySwiper.slideTo(0, 0, false);
				//替换第一张swiper
				var data = ktData[ktID];
				replaceSwiperSlide(data,ktID,0);
				//替换第二张swiper
				var ktID = ktList[currKtIndex+1], data = ktData[ktID];
				replaceSwiperSlide(data,ktID,1);
				//替换第三张swiper
				var ktID = ktList[currKtIndex+2], data = ktData[ktID];
				replaceSwiperSlide(data,ktID,2);
			}
			else {
				mySwiper.slideTo(2, 0, false);
				//替换第三张swiper
				var data = ktData[ktID];
				replaceSwiperSlide(data,ktID,2);
				//替换第二张swiper
				var ktID = ktList[currKtIndex-1], data = ktData[ktID];
				replaceSwiperSlide(data,ktID,1);
				//替换第一张swiper
				var ktID = ktList[currKtIndex-2], data = ktData[ktID];
				replaceSwiperSlide(data,ktID,0);
			}
		}
		//关闭答题情况面板
		checkAnswerCard();
	}
}
//替换swiper内容函数方法
function replaceSwiperSlide(data,ktID,acId){
	var htmlText = '', reRequertData = 0, swipeSlide = $('.swiper-slide')[acId];
	if(data){
		htmlText = assembleInnerHtml(data,ktID);
	}
	else {
		htmlText = '<p class="loadingInfo">习题数据加载中...</p>';
		reRequertData = 1;
	}
	$(swipeSlide).html(htmlText);
	$(swipeSlide).attr('id', ktID);
    //更新图片链接
    askRefreshImgUrl(ktID);
	//重新请求数据并更新空swiper
    if(reRequertData){
    	var jsonD = {};
    	jsonD.ktID = ktID;
    	jsonD.successCallback = 'saveDataRefreshSwiper';
    	requestKtData(jsonD);
    }
}

//[重写]初始化更新图片链接方法
function requestImgUrlInit(){
	var ktID = $(this).parents('.swiper-slide').attr('id');
	var paperID = ktInfoList[ktID].paperID;
	requestImgUrl({"name":$(this).attr('name'), "paperID":paperID, "successCallback": "refreshImgUrl"});
}
//[重写]更新图片链接
function askRefreshImgUrl(ktID){
	$('#'+ktID).find('img').each(function(){
		var paperID = ktInfoList[ktID].paperID;
    	requestImgUrl({"name":$(this).attr('name'), "paperID":paperID, "successCallback": "refreshImgUrl"});
    });
}
//[重写]requestImgUrl方法回调函数
 function refreshImgUrl(jsonData){
 	jsonData = parseJson(jsonData);
 	var name = jsonData.name || "";
	var url = jsonData.url || "";
	if(name && url){
		var img = $('#img'+name);
		$(img).attr('src',url);
		var arr = [];
		$(img).parent().parent().find('img').each(function(){
			arr.push($(this).attr('name'));
		});
		var ktID = $(img).parents('.swiper-slide').attr('id');
		var paperID = ktInfoList[ktID].paperID;
		$(img).on('click',function(){
			if(!isSwipering){
				viewBigImg({"name": arr, "paperID":paperID, "showName":name});
			}
		});
	}
 }