/* 本地播放声音
 * 参数格式json:
 * jsonData = {
 *     "lang":"b",                                 //语种
 *     "key":"tuaminoheptane",                    //word
 *     "scode":"QG",                              //scode
 *     "url":"url"                                //mp3地址，支持url发音
 *     "startPlaySound":"startPlaySound",         //开始播放动画js回调
 *     "endPlaySound":"endPlaySound"              //停止播放动画js回调
 * }
 */
function playSound(jsonData){
    try{ dictcn.playSound(JSON.stringify({'lang':'k','key':jsonData.key,'scode':jsonData.scode})); }catch(e){}
}
         
/* 开始播放动画
 * 参数格式json:
 * jsonData = {
 *     "key":"soundKey"                            //发音单词
 * }
 */
function startPlaySound(jsonData){
    //try{  }catch(e){}
}

/* 停止播放动画
 * 参数格式json:
 * jsonData = {
 *     "key":"soundKey"                            //发音单词
 * }
 */
function endPlaySound(jsonData){
    //try{  }catch(e){}
}

/* native页面跳转(webview内页面跳转)
 * 参数格式json:
 * jsonData = {
 *     "jump_type":"pron",                             //跳转类型
 *     "pron_type":"pron_type",
 *     "pron_key":"pron_key"
 * }
 * nativeJump可根据新增需求扩充。
 */
function nativeJump(jsonData){
    try{ dictcn.nativeJump(JSON.stringify({'jump_type':jsonData.jump_type,'pron_type':jsonData.pron_type,'pron_key':jsonData.pron_key})); }catch(e){}
}

/* webJump外部页面跳转(多用于外链，广告等)
 * 参数格式json:
 * jsonData = {
 *     "url":"http://dict.cn"                     //跳转地址
 * }
 */
function webJump(jsonData){
    //try{  }catch(e){}
}
