var swiperMain,scrollContainer = []; //swiper对象
var isSwipering; //是否正在滑动

$(function(){
	//初始化
	init();
	//页面初始化函数
	function init(){
		FastClick.attach(document.body);
		//定义框架尺寸
		$(window).on('resize',fixPageHeight);
		fixPageHeight();

		//初始化滑动组件
		swiperMain = new Swiper('.swiper-main',{
			mousewheelControl : true,
			onSlideChangeStart: function(swiper){
				$('#nav span').removeClass('active');
				$('#navbtn'+swiper.activeIndex).addClass('active');
				isSwipering = 1;
				setTimeout(function(){isSwipering = 0;},50);
			}
		});
		$('.scroll-container').each(function(){
			var sc = $(this).swiper({
				scrollContainer: true,
				mousewheelControl : true,
			    mode:'vertical'
			});
			scrollContainer.push(sc);
		});

		//绑定nav点击事件
		$('#nav span').on('click',function(){
			swiperMain.swipeTo($(this).attr('index'));
		});

		//绑定卡片点击事件
		$('tr').each(function(){
			var tableIndex = $(this).parents('.table').attr('index');
			var trIndex = $(this).index();
			$(this).find('td').on('click',function(){
				if(!isSwipering){
					var tdIndex = $(this).index();
					var uwid = otherUwids[tableIndex][trIndex*3+tdIndex];
					jumpTrain({"uwid": uwid});
				}
			});
		});
	}
	//页面框架尺寸调整方法
	function fixPageHeight(){
		var height = $(window).height() - $('#nav').height();
		$(".swiper-main").css('height', height);
		$(".scroll-container").css('height', height);
		var width = $('td').width();
		$('td').css('height', width);
	}
})