////////////////////////////// framework.js //////////////////////////////////////////////////////
$(function(){
    
    //创建navigator组件
    if($('#nav').length>0){
        var nav = new gmu.Navigator('#nav', {
            event: 'click',
            visibleCount: 2,
            isScrollToNext: true,
            beforeselect: function(evt, target){
                try{
                    var toNum = $(target).attr('data-index');
                    slider.slideTo(toNum);
                    switchWordHead(toNum);
                    checkTop();
                }catch(e){}
            }
        });
    }
    
    //创建slider组件
    if($('#slider').length>0){
        var slider = new $.ui.Slider('#slider', {
            autoPlay: false,
            dots: false,
            arrow: false,
            imgZoom: false,
            stopPropagation: false,
            slide: function(evt, toNum, fromNum){
                try{
                    nav.switchTo(toNum);
                    switchWordHead(toNum);
                    checkTop();
                }catch(e){}
            }
        });
    }
    
    //change words
    var $wordheads = $('.wordhead');
    function switchWordHead(toNum){
        $wordheads.hide();
        $('#wordhead'+toNum).show();
    }
    
    //fixed nav
    var $nav = $('#nav');
    if($nav.length>0){
        var navOffsetTop = $nav.offset().top;
        function checkTop(){
             document.body.scrollTop > navOffsetTop ? $nav.addClass('nav-fixed') : $nav.removeClass('nav-fixed');
        }
        $(window).on('touchmove touchend touchcancel scroll scrollStop', function(){
            checkTop();
        });
        $(document).on('touchend touchcancel', function(){
            setTimeout(function() {
                checkTop();
            }, 100);
        });
        checkTop();
    }
    
    //内容菜单展开收起
    $(".labelbtn").on("tap",function(){
        var $contLabel = $(this).next(".label-content");
        if($contLabel.css('display')=='none'){
            $contLabel.show();
            $(this).children().children('img').attr("src",_resource_+"/images/arrow-up.png");
        } else {
            $contLabel.hide();
            $(this).children().children('img').attr("src",_resource_+"/images/arrow-down.png");
        }
    });
    
});
////////////////////////////////////////// functions.js ///////////////////////////////////////////////////////////////////////
//滚动到obj位置
function scrollToView(obj){
    obj.scrollIntoView(true);
}