var optionArray = ["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"]; //选项表
var mySwiper;
var rqDataID, deDataID; //请求考题数据id，丢弃考题数据id(因本版考题数据较小，考虑题目跳转速度，决定保留所有请求到的考题数据)
var maxKtIndex = ktList.length-1;
var isSwipering = 0; //标记当前页面是否正在滑动中

$(function(){

	init();
	function init(){
		FastClick.attach(document.body);
		//初始化swiper组件
		mySwiper = new Swiper ('.swiper-container', {
		    direction: 'horizontal',
		    onSlideChangeStart: function(swiper){
		    	isSwipering = 1;
		    	mySwiper.detachEvents();  //滑动锁定与延时解锁
		    	if(mySwiper.activeIndex == 2){
		    		$('#currentKt').html(currKtIndex+2);
		    	}
		    	else if(mySwiper.activeIndex == 0) {
		    		$('#currentKt').html(currKtIndex);
		    	}
		    	else {
		    		if(currKtIndex){
		    			$('#currentKt').html(currKtIndex);
		    		}
		    		else {
		    			$('#currentKt').html(currKtIndex+2);
		    		}
		    	}
		    },
		    onSlideChangeEnd: function(swiper){
		    	isSwipering = 0;
		    	mySwiper.attachEvents();  //滑动锁定与延时解锁
			    if(mySwiper.isEnd){
			      	swiperToEnd();
			    }
			    else if(mySwiper.isBeginning){
			    	swiperToBeginning();
			    }
			    else {
			    	//滑动至中间一页
			    	if(currKtIndex == 0){
			    		currKtIndex++;
						rqDataID = ktList[currKtIndex+3];
			    	}
			    	else if(currKtIndex == (ktList.length-1)){
			    		currKtIndex--;
						rqDataID = ktList[currKtIndex-3];
			    	}
			    	else {
			    		alert('滑动至中间页异常！');
			    	}
			    }
			    //请求新数据
			    if(rqDataID && !ktData[rqDataID]){
		        	var jsonD = {};
		        	jsonD.ktID = rqDataID;
		        	jsonD.successCallback = 'saveDataInKtData';
		        	requestKtData(jsonD);
		        }
		    },
		    onSliderMove: function(swiper, event){
		    	$('#ktSerial').addClass('show');
		    },
		    onTouchEnd: function(swiper){
		        setTimeout(function(){
		        	$('#ktSerial').removeClass('show');
		        }, 300);
		    }
		});

		//根据currKtIndex 确定页面载入时滑动到哪一页暂停
		if((currKtIndex > 0) && (currKtIndex < maxKtIndex)){
			mySwiper.slideTo(1, 0, false);
		}
		else if(currKtIndex == maxKtIndex){
			mySwiper.slideTo(2, 0, false);
		}

		//更新图片链接
		$('img').each(requestImgUrlInit);

		//定义swiper-container的高度
		$('.swiper-container').css('height', $(window).height());
	}

	//滑动至尾页切换方法
	function swiperToEnd(){
		//更新并保存 currKtIndex
		currKtIndex++;
		//追加页面
		var htmlText = '', ktID = ktList[currKtIndex+1];
		if(ktID){
			var data = ktData[ktID];
			var reRequertData = 0;
			if(data){
				htmlText = assembleHtml(data,ktID);
			}
			else {
				htmlText = '<div class="swiper-slide" id="'+ ktID +'"><p class="loadingInfo">习题数据加载中...</p></div>';
				reRequertData = 1;
			}
			mySwiper.appendSlide(htmlText);
	        mySwiper.removeSlide(0);
	        //更新图片链接
	        askRefreshImgUrl(ktID);
	        //重新请求当前数据并更新空swiper
	        if(reRequertData){
	        	var jsonD = {};
	        	jsonD.ktID = ktID;
	        	jsonD.successCallback = 'saveDataRefreshSwiper';
	        	requestKtData(jsonD);
	        }
		}
        
        //请求新数据
        rqDataID = ktList[currKtIndex+3];
	}

	//滑动至头页切换方法
	function swiperToBeginning(){
		//更新并保存 currKtIndex
		currKtIndex--;
		//追加页面
		var htmlText = '', ktID = ktList[currKtIndex-1];
		if(ktID){
			var data = ktData[ktID];
			var reRequertData = 0;
			if(data){
				htmlText = assembleHtml(data,ktID);
			}
			else {
				htmlText = '<div class="swiper-slide" id="'+ ktID +'"><p class="loadingInfo">习题数据加载中...</p></div>';
				reRequertData = 1;
			}
			mySwiper.removeSlide(2);
	        mySwiper.prependSlide(htmlText);
	        //更新图片链接
	        askRefreshImgUrl(ktID);
	        //重新请求当前数据并更新空swiper
	        if(reRequertData){
	        	var jsonD = {};
	        	jsonD.ktID = ktID;
	        	jsonD.successCallback = 'saveDataRefreshSwiper';
	        	requestKtData(jsonD);
	        }
		}
        //请求新数据
        rqDataID = ktList[currKtIndex-3];
	}

	


});

//组装数据通用代码方法
function assembleHtml(data,ktID){
	var htmlText = '';
	htmlText = '<div class="swiper-slide" id="'+ ktID +'"><div class="dropShadow"></div>';
	htmlText += assembleInnerHtml(data,ktID);
	htmlText += '</div>';
	return htmlText;
}
//拼装swiper-slide内部html文本
function assembleInnerHtml(data,ktID){
	var htmlText = '<div class="innerCard"><p class="description">'+ data.title +'</p>';
	if(data.subTitle){
		htmlText += '<p class="testTrunk">'+ data.subTitle +'</p>';
	}
	htmlText += '<p class="testTitle">'+ data.data.question +'</p>';
	if(data.data.image){
		var Data = data.data.image;
		for(var i=0; i<Data.length; i++){
			htmlText += '<p class="imgContainer"><img src="" id="img'+ Data[i].name +'" name="'+ Data[i].name +'"></p>';
		}
	}
	htmlText += '<div class="testOption">';
	var Data = data.data.options;
	for(var i=0; i<optionArray.length; i++){
		if(Data[optionArray[i]]){
			if(isInArray(optionArray[i], data.data.answer)) {
				htmlText += '<div key="'+ optionArray[i] +'" class="mylabel right">'+ Data[optionArray[i]] +'</div>';
			}
			else if(data.userAnswer.indexOf(optionArray[i]) != -1) {
				htmlText += '<div key="'+ optionArray[i] +'" class="mylabel wrong">'+ Data[optionArray[i]] +'</div>';
			}
			else {
				htmlText += '<div key="'+ optionArray[i] +'" class="mylabel">'+ Data[optionArray[i]] +'</div>';
			}
		}
		else {
			break;
		}
	}
	htmlText += '</div><p>正确答案是<span class="rightColor">';
	var answerArr = data.data.answer;
	for(var i=0; i<answerArr.length; i++){
		htmlText += answerArr[i];
		if(i<answerArr.length-1){
			htmlText += '、';
		}
	}
	htmlText += '</span>，你的答案是';
	var answerStr = data.userAnswer;
	for(var i=0; i<answerStr.length; i++){
		if(isInArray(answerStr[i], answerArr)){
			htmlText += '<span class="rightColor">'+ answerStr[i];
			if(i < answerStr.length-1){
				htmlText += '、';
			}
			htmlText += '</span>';
		}
		else {
			htmlText += '<span class="wrongColor">'+ answerStr[i];
			if(i < answerStr.length-1){
				htmlText += '、';
			}
			htmlText += '</span>';
		}
	}
	htmlText += '。</p></div>';
	return htmlText;
}
function isInArray(val,array){
	for(var i=0; i<array.length; i++){
		if(array[i] == val){
			return true;
		}
	}
	return false;
}
//初始化更新图片链接方法
function requestImgUrlInit(){
	requestImgUrl({"name":$(this).attr('name'), "paperID":paperID, "successCallback": "refreshImgUrl"});
}
//更新图片链接
function askRefreshImgUrl(ktID){
	$('#'+ktID).find('img').each(function(){
    	requestImgUrl({"name":$(this).attr('name'), "paperID":paperID, "successCallback": "refreshImgUrl"});
    });
}
//空点击事件方法
function labelClick(ktID){}