var optionArray = ["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"]; //选项表
var mySwiper;
var rqDataID, deDataID; //请求考题数据id，丢弃考题数据id(因本版考题数据较小，考虑题目跳转速度，决定保留所有请求到的考题数据)
var maxKtIndex = ktList.length-1;
var isSwipering = 0; //标记当前页面是否正在滑动中
var tnb; //打印用全局参数

$(function(){

	init();
	function init(){
		FastClick.attach(document.body);
		//初始化swiper组件
		mySwiper = new Swiper ('.swiper-container', {
		    direction: 'horizontal',
		    onSlideChangeStart: function(swiper){
		    	isSwipering = 1;
		    	mySwiper.detachEvents();  //滑动锁定与延时解锁
		    	if(mySwiper.activeIndex == 2){
		    		$('#currentKt').html(currKtIndex+2);
		    	}
		    	else if(mySwiper.activeIndex == 0) {
		    		$('#currentKt').html(currKtIndex);
		    	}
		    	else {
		    		if(currKtIndex){
		    			$('#currentKt').html(currKtIndex);
		    		}
		    		else {
		    			$('#currentKt').html(currKtIndex+2);
		    		}
		    	}
		    },
		    onSlideChangeEnd: function(swiper){
		    	isSwipering = 0;
		    	mySwiper.attachEvents();  //滑动锁定与延时解锁
			    if(mySwiper.isEnd){
			      	swiperToEnd();
			    }
			    else if(mySwiper.isBeginning){
			    	swiperToBeginning();
			    }
			    else {
			    	//滑动至中间一页
			    	if(currKtIndex == 0){
			    		currKtIndex++;
						var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
						saveCurrKtIndex(jsonD);
						rqDataID = ktList[currKtIndex+3];
			    	}
			    	else if(currKtIndex == (ktList.length-1)){
			    		currKtIndex--;
						var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
						saveCurrKtIndex(jsonD);
						rqDataID = ktList[currKtIndex-3];
			    	}
			    	else {
			    		alert('滑动至中间页异常！');
			    	}
			    }
			    //请求新数据
			    if(rqDataID && !ktData[rqDataID]){
		        	var jsonD = {};
		        	jsonD.ktID = rqDataID;
		        	jsonD.successCallback = 'saveDataInKtData';
		        	requestKtData(jsonD);
		        }
		    },
		    onSliderMove: function(swiper, event){
		    	$('#ktSerial').addClass('show');
		    },
		    onTouchEnd: function(swiper){
		        setTimeout(function(){
		        	$('#ktSerial').removeClass('show');
		        }, 300);
		    }
		});

		//根据currKtIndex 确定页面载入时滑动到哪一页暂停
		if((currKtIndex > 0) && (currKtIndex < maxKtIndex)){
			mySwiper.slideTo(1, 0, false);
		}
		else if(currKtIndex == maxKtIndex){
			mySwiper.slideTo(2, 0, false);
		}

		//初始化绑定选项点击事件
		$('.mylabel').on("click",labelClickAction);
		//更新图片链接
		$('img').each(function(){
	    	requestImgUrl({"name":$(this).attr('name'), "paperID":paperID, "successCallback": "refreshImgUrl"});
	    });

		//定义swiper-container的高度
		$('.swiper-container').css('height', $(window).height());
		$('#examStatus').css('height', $(window).height());
		$('#warning').css('height', $(window).height());

		//读取localStorage数据以初始化paperAnswer
		var jsonD = {};
		jsonD.key = paperID + "_*";
		jsonD.successCallback = "getAllAnswer";
		getStorage(jsonD);
		
		//看看进度页面图标点击跳转到对应习题
		$('.list-row').find('div').on('click', gotoMappingKt);
	}

	//滑动至尾页切换方法
	function swiperToEnd(){
		var mydate = new Date();
		var time1 = mydate.getTime();
		var time2,time3,time4,time5;
		//更新并保存 currKtIndex
		currKtIndex++;
		//追加页面
		var htmlText = '', ktID = ktList[currKtIndex+1];
		if(ktID){
			var data = ktData[ktID];
			var reRequertData = 0;
			if(data){
				htmlText = assembleHtml(data,ktID);
			}
			else {
				htmlText = '<div class="swiper-slide" id="'+ ktID +'"><p class="loadingInfo">习题数据加载中...</p></div>';
				reRequertData = 1;
			}
			var mydate = new Date();
			time2 = mydate.getTime();
			mySwiper.appendSlide(htmlText);
	        mySwiper.removeSlide(0);
	        var mydate = new Date();
			time3 = mydate.getTime();
	        //绑定点击事件
	        labelClick(ktID);
	        //更新图片链接
	        askRefreshImgUrl(ktID);
	        //重新请求当前数据并更新空swiper
	        if(reRequertData){
	        	var jsonD = {};
	        	jsonD.ktID = ktID;
	        	jsonD.successCallback = 'saveDataRefreshSwiper';
	        	requestKtData(jsonD);
	        }
	        var mydate = new Date();
			time4 = mydate.getTime();
		}
        //请求新数据
        rqDataID = ktList[currKtIndex+3];
        //向客户端保存currKtIndex
        var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
		saveCurrKtIndex(jsonD);
		var mydate = new Date();
		time5 = mydate.getTime();
		// alert((time2-time1)+' / '+(time3-time2)+' / '+(time4-time3)+' / '+(time5-time4));
	}
	
	//滑动至头页切换方法
	function swiperToBeginning(){
		//更新并保存 currKtIndex
		currKtIndex--;		
		//追加页面
		var htmlText = '', ktID = ktList[currKtIndex-1];
		if(ktID){
			var data = ktData[ktID];
			var reRequertData = 0;
			if(data){
				htmlText = assembleHtml(data,ktID);
			}
			else {
				htmlText = '<div class="swiper-slide" id="'+ ktID +'"><p class="loadingInfo">习题数据加载中...</p></div>';
				reRequertData = 1;
			}
			mySwiper.removeSlide(2);
			mySwiper.prependSlide(htmlText);
	        //绑定点击事件
	        labelClick(ktID);
	        //更新图片链接
	        askRefreshImgUrl(ktID);
	        //重新请求当前数据并更新空swiper
	        if(reRequertData){
	        	var jsonD = {};
	        	jsonD.ktID = ktID;
	        	jsonD.successCallback = 'saveDataRefreshSwiper';
	        	requestKtData(jsonD);
	        }
		}
        //请求新数据
        rqDataID = ktList[currKtIndex-3];
        //向客户端保存currKtIndex
        var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
		saveCurrKtIndex(jsonD);
	}

	


});

//组装数据通用代码方法
function assembleHtml(data,ktID){
	var htmlText = '';
	htmlText = '<div class="swiper-slide" id="'+ ktID +'"><div class="dropShadow"></div>';
	htmlText += assembleInnerHtml(data,ktID);
	htmlText += '</div>';
	return htmlText;
}
//拼装swiper-slide内部html文本
function assembleInnerHtml(data,ktID){
	var key = paperID+'_'+ktID;
	var htmlText = '<div class="innerCard"><p class="description">'+ data.title +'</p>';
	if(data.subTitle){
		htmlText += '<p class="testTrunk">'+ data.subTitle +'</p>';
	}
	htmlText += '<p class="testTitle">'+ data.data.question +'</p>';
	if(data.data.image){
		var Data = data.data.image;
		for(var i=0; i<Data.length; i++){
			htmlText += '<p class="imgContainer"><img src="" id="img'+ Data[i].name +'" name="'+ Data[i].name +'"></p>';
		}
	}
	htmlText += '<div class="testOption">';
	var Data = data.data.options;
	for(var i=0; i<optionArray.length; i++){
		if(Data[optionArray[i]]){
			if(paperAnswer[key] && (paperAnswer[key].indexOf(optionArray[i])) != -1) {
				htmlText += '<div class="mylabel active" key="'+ optionArray[i] +'">'+ Data[optionArray[i]] +'</div>';
			}
			else {
				htmlText += '<div class="mylabel" key="'+ optionArray[i] +'">'+ Data[optionArray[i]] +'</div>';
			}
		}
		else {
			break;
		}
	}
	htmlText += '</div></div>';
	return htmlText;
}

//为特定页面选项绑定点击事件
function labelClick(id){
	$('#'+id).find('.mylabel').on("click",labelClickAction);
}
//点击事件具体方法
function labelClickAction(){
	if(!isSwipering){
		var ktID = ktList[currKtIndex];
		var single = ktData[ktID].data.single;
		var key = paperID +'_'+ ktID;
		if(single == "1"){
			if($(this).attr('class') == 'mylabel'){
				$(this).parent().find('.mylabel.active').removeClass('active');
				$(this).addClass('active');
				paperAnswer[key] = $(this).attr('key');
			}
			else {
				$(this).removeClass('active');
				paperAnswer[key] = '';
			}
		}
		else if(single == "0") {
			if($(this).attr('class') == 'mylabel'){
				$(this).addClass('active');
				if(!paperAnswer[key]){
					paperAnswer[key] = '';
				}
				paperAnswer[key] += $(this).attr('key');
			}
			else {
				$(this).removeClass('active');
				paperAnswer[key] = paperAnswer[key].replace($(this).attr('key'), '');
			}
		}
		//保存答案到localStorage中
		setStorage({"key":key, "value":paperAnswer[key]});
		//更新学习进度
		if(paperAnswer[key] && !proMask[key]){
			proCount++;
			proMask[key] = 1;
			$('#progress').css({'-webkit-transform': 'scaleX('+proCount/proTotal+')'});
			$('#eSItem'+currKtIndex).addClass('finished');
			if(proCount==proTotal){
				$('#progress').addClass('full');
			}
			//反馈当前习题解答状况给客户端
			refreshStudyStatus({"uwid":ktID, "solve":"1"});
		}
		else if(!paperAnswer[key]){
			if(proCount==proTotal){
				$('#progress').removeClass('full');
			}
			proCount--;
			proMask[key] = 0;
			$('#progress').css({'-webkit-transform': 'scaleX('+proCount/proTotal+')'});
			$('#eSItem'+currKtIndex).removeClass('finished');
			//反馈当前习题解答状况给客户端
			refreshStudyStatus({"uwid":ktID, "solve":"0"});
		}
	}
}
//看看进度页面图标点击跳转到对应习题
function gotoMappingKt(){
	//更新并保存currKtIndex
	currKtIndex = $(this).find('span').html() -1;
	var jsonD = {'paperID': paperID, "currKtIndex": currKtIndex};
	saveCurrKtIndex(jsonD);
	//请求数据并更新页面
	$('#currentKt').html(currKtIndex+1);
	var ktID = ktList[currKtIndex];
	if(currKtIndex > 0 && currKtIndex < maxKtIndex) {
		mySwiper.slideTo(1, 0, false);
		//替换前一张swiper
		var ktID = ktList[currKtIndex-1], data = ktData[ktID];
		replaceSwiperSlide(data,ktID,0);
		//替换中间一张swiper
		var ktID = ktList[currKtIndex], data = ktData[ktID];
		replaceSwiperSlide(data,ktID,1);
		//替换后一张swiper
		var ktID = ktList[currKtIndex+1], data = ktData[ktID];
		replaceSwiperSlide(data,ktID,2);
	}
	else if(currKtIndex == 0){
		mySwiper.slideTo(0, 0, false);
		//替换第一张swiper
		var data = ktData[ktID];
		replaceSwiperSlide(data,ktID,0);
		//替换第二张swiper
		var ktID = ktList[currKtIndex+1], data = ktData[ktID];
		replaceSwiperSlide(data,ktID,1);
		//替换第三张swiper
		var ktID = ktList[currKtIndex+2], data = ktData[ktID];
		replaceSwiperSlide(data,ktID,2);
	}
	else {
		mySwiper.slideTo(2, 0, false);
		//替换第三张swiper
		var data = ktData[ktID];
		replaceSwiperSlide(data,ktID,2);
		//替换第二张swiper
		var ktID = ktList[currKtIndex-1], data = ktData[ktID];
		replaceSwiperSlide(data,ktID,1);
		//替换第一张swiper
		var ktID = ktList[currKtIndex-2], data = ktData[ktID];
		replaceSwiperSlide(data,ktID,0);
	}
	//关闭答题情况面板
	checkAnswerCard();
}
//替换swiper内容函数方法
function replaceSwiperSlide(data,ktID,acId){
	var htmlText = '', reRequertData = 0, swipeSlide = $('.swiper-slide')[acId];
	if(data){
		htmlText = assembleInnerHtml(data,ktID);
	}
	else {
		htmlText = '<p class="loadingInfo">习题数据加载中...</p>';
		reRequertData = 1;
	}
	$(swipeSlide).html(htmlText);
	$(swipeSlide).attr('id', ktID);
	//绑定点击事件
    labelClick(ktID);
    //更新图片链接
    askRefreshImgUrl(ktID);
	//重新请求数据并更新空swiper
    if(reRequertData){
    	var jsonD = {};
    	jsonD.ktID = ktID;
    	jsonD.successCallback = 'saveDataRefreshSwiper';
    	requestKtData(jsonD);
    }
}
//更新图片链接
function askRefreshImgUrl(ktID){
	$('#'+ktID).find('img').each(function(){
    	requestImgUrl({"name":$(this).attr('name'), "paperID":paperID, "successCallback": "refreshImgUrl"});
    });
}

function alertfun(){
	alert(tnb);
}